#ifndef ITEMTEXTPOPUPDELEGATE_H
#define ITEMTEXTPOPUPDELEGATE_H

#include <QItemDelegate>
#include <QWidget>

class ItemTextPopupDelegate : public QItemDelegate
{

    Q_OBJECT

public:
    ItemTextPopupDelegate(QObject *parent = Q_NULLPTR);
    QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option,
                          const QModelIndex &index) const;
    void setEditorData(QWidget *editor, const QModelIndex &index) const;
    void setModelData (QWidget *editor, QAbstractItemModel *model,
                       const QModelIndex &index) const;
    void updateEditorGeometry(QWidget *editor, const QStyleOptionViewItem &opcion,
                              const QModelIndex &index) const;
    QString mInitialValue;

private:
};

#endif // ITEMTEXTPOPUPDELEGATE_H
